dnl config.m4 for PHP module for 602SQL 10.0

PHP_ARG_WITH(602sql, for 602SQL support,
[  --with-602sql             Include 602SQL 10.0 support])

if test "$PHP_602SQL" != "no"; then
  # --with-602sql -> check with-path
  SEARCH_PATH="/usr/local /usr"
  SEARCH_FOR="/include/602sql10/wbkernel.h"
  if test -r $PHP_602SQL/; then # path given as parameter
    SQL602_DIR=$PHP_602SQL
  else # search default path list
    AC_MSG_CHECKING([for 602SQL files in default path])
    for i in $SEARCH_PATH ; do
      if test -r $i/$SEARCH_FOR; then
        SQL602_DIR=$i
        AC_MSG_RESULT(found in $i)
      fi
    done
  fi
  
  if test -z "$SQL602_DIR"; then
    AC_MSG_RESULT([include/602sql10/wbkernel.h not found])
    AC_MSG_ERROR(Please reinstall the 602SQL distribution)
  fi

  # --with-602sql -> add include path
  PHP_ADD_INCLUDE($SQL602_DIR/include/602sql10)

  # --with-602sql -> chech for lib and symbol presence
  LIBNAME=602krnl10
  LIBSYMBOL=cd_connect_abi10

  PHP_CHECK_LIBRARY($LIBNAME,$LIBSYMBOL,
  [
    PHP_ADD_LIBRARY_WITH_PATH($LIBNAME, $SQL602_DIR/lib/602sql10, SQL602_SHARED_LIBADD)
    AC_DEFINE(HAVE_602SQL,1,[ ])
  ],[
    AC_MSG_ERROR([wrong 602SQL lib version or lib not found while searching for lib/602sql10/lib602krnl10.so])
  ],[
    -L$SQL602_DIR/lib/602sql10 -lm -ldl
  ])
  dnl # PHP 4.1.x: delete previous call of PHP_CHECK_LIBRARY macro and uncomment following five lines
  dnl old_LIBS=$LIBS
  dnl LIBS="$LIBS -L$SQL602_DIR/lib/602sql10 -lm -ldl"
  dnl AC_CHECK_LIB($LIBNAME, $LIBSYMBOL, [AC_DEFINE(HAVE_602SQL,1,[ ])],
  dnl	[AC_MSG_ERROR(wrong 602SQL lib version or lib not found while searching for lib602krln10.so)])
  dnl LIBS=$old_LIBS
   
  # test if lib602xml10.so is present
  XMLLIBNAME=602xml10
  XMLLIBSYMBOL=Import_from_XML

  PHP_CHECK_LIBRARY($XMLLIBNAME,$XMLLIBSYMBOL,
  [
    PHP_ADD_LIBRARY_WITH_PATH($XMLLIBNAME, $SQL602_DIR/lib/602sql10, SQL602_SHARED_LIBADD)
    AC_DEFINE(ENABLE_XML_IMPORT_EXPORT,1,[ ])
  ],[
  ],[
  ])
  dnl # PHP 4.1.x: delete previous call of PHP_CHECK_LIBRARY macro and uncomment following three lines
  dnl old_LIBS=$LIBS
  dnl AC_CHECK_LIB($XMLLIBNAME, $XMLLIBSYMBOL, [AC_DEFINE(ENABLE_XML_IMPORT_EXPORT,1,[ ])],[])
  dnl LIBS=$old_LIBS
    
  PHP_SUBST(SQL602_SHARED_LIBADD)
  dnl # PHP 4.1.x: uncomment following two lines too
  dnl PHP_ADD_LIBRARY_WITH_PATH($LIBNAME, $SQL602_DIR/lib/602sql10, SQL602_SHARED_LIBADD)
  dnl PHP_ADD_LIBRARY_WITH_PATH($XMLLIBNAME, $SQL602_DIR/lib/602sql10, SQL602_SHARED_LIBADD) 

  PHP_EXTENSION(602sql, $ext_shared)
fi

