/*  602SQL PHP module
 *  Copyright (c) 2001-2009 Software602, a.s.
 *  see http://www.software602.cz */

#include <wbkernel.h>

// determine WBVERS according to WinBase602/602SQL version
#ifdef ATT_CSSTRING
#define WBVERS 700
#elif defined NO_SECUR_RIGHT
// 602SQL 8.0 or newer
#ifdef SQL602_VERSION_STRING
// 602SQL 8.1 or newer, version is defined in general.h
#if SQL602_VERSION_MAJOR==8
// definitely 8.1 because SQL602_VERSION_xxx defines were introduced in 602SQL 8.1
#define WBVERS 810
#elif SQL602_VERSION_MAJOR==9 && SQL602_VERSION_MINOR==0
// version 9.0
#define WBVERS 900
#elif SQL602_VERSION_MAJOR==9 && SQL602_VERSION_MINOR==5
// version 9.5
#define WBVERS 950
#elif SQL602_VERSION_MAJOR==10 && SQL602_VERSION_MINOR==0
#define WBVERS 1000
#elif SQL602_VERSION_MAJOR==11 && SQL602_VERSION_MINOR==0
#define WBVERS 1100
#endif
#else
// 602SQL 8.0 or 8.1
#ifdef DllXMLExt
// 602SQL 8.1
#define WBVERS 810
#else
// 602SQL 8.0
#define WBVERS 800
#endif
#endif
#endif

// check if we have determined version number
#ifndef WBVERS
#error Can not resove WinBase602 / 602SQL version!
#endif
 
// define version information according to WBVERS
#if WBVERS==700
// WinBase602 7.0
#define PRODUCT_NAME_STR "WinBase602\0"
#define PRODUCT_VERS_1	7
#define PRODUCT_VERS_2	0
#define PRODUCT_VERS_3	0
#define PRODUCT_VERS_4	0
#define PRODUCT_VERS_STR	"7.0\0"
#define MODDESCR	"WinBase602 PHP Module for PHP " PHPVERS_STR " \0"
#define MODINTERNAL_NAME	"php_wb602\0"
#define MODFILE_NAME	"php_wb602.dll\0"
#define MODVERS_1	7
#define MODVERS_2	0
#elif WBVERS==800
// 602SQL 8.0
#define PRODUCT_NAME_STR "602SQL\0"
#define PRODUCT_VERS_1	8
#define PRODUCT_VERS_2	0
#define PRODUCT_VERS_3	0
#define PRODUCT_VERS_4	0
#define PRODUCT_VERS_STR	"8.0\0"
#define MODDESCR	"602SQL PHP Module for PHP " PHPVERS_STR " \0"
#define MODINTERNAL_NAME	"php_602sql8\0"
#define MODFILE_NAME	"php_602sql8.dll\0"
#define MODVERS_1	8
#define MODVERS_2	0
#elif WBVERS==810
// 602SQL 8.1
#define PRODUCT_NAME_STR "602SQL\0"
#define PRODUCT_VERS_1	8
#define PRODUCT_VERS_2	1
#define PRODUCT_VERS_3	0
#define PRODUCT_VERS_4	0
#define PRODUCT_VERS_STR	"8.1\0"
#define MODDESCR	"602SQL PHP Module for PHP " PHPVERS_STR " \0"
#define MODINTERNAL_NAME	"php_602sql8\0"
#define MODFILE_NAME	"php_602sql8.dll\0"
#define MODVERS_1	8
#define MODVERS_2	1
#elif WBVERS==900
// 602SQL 9.0
#define PRODUCT_NAME_STR "602SQL\0"
#define PRODUCT_VERS_1	9
#define PRODUCT_VERS_2	0
#define PRODUCT_VERS_3	0
#define PRODUCT_VERS_4	0
#define PRODUCT_VERS_STR	"9.0\0"
#define MODDESCR	"602SQL PHP Module for PHP " PHPVERS_STR " \0"
#define MODINTERNAL_NAME	"php_602sql9\0"
#define MODFILE_NAME	"php_602sql9.dll\0"
#define MODVERS_1	9
#define MODVERS_2	0
#elif WBVERS==950
// 602SQL 9.5
#define PRODUCT_NAME_STR "602SQL\0"
#define PRODUCT_VERS_1	9
#define PRODUCT_VERS_2	5
#define PRODUCT_VERS_3	0
#define PRODUCT_VERS_4	0
#define PRODUCT_VERS_STR	"9.5\0"
#define MODDESCR	"602SQL PHP Module for PHP " PHPVERS_STR " \0"
#define MODINTERNAL_NAME	"php_602sql95\0"
#define MODFILE_NAME	"php_602sql95.dll\0"
#define MODVERS_1	9
#define MODVERS_2	5
#elif WBVERS==1000
// 602SQL 10.0
#define PRODUCT_NAME_STR "602SQL\0"
#define PRODUCT_VERS_1	10
#define PRODUCT_VERS_2	0
#define PRODUCT_VERS_3	0
#define PRODUCT_VERS_4	0
#define PRODUCT_VERS_STR	"10.0\0"
#define MODDESCR	"602SQL PHP Module for PHP " PHPVERS_STR " \0"
#define MODINTERNAL_NAME	"php_602sql10\0"
#define MODFILE_NAME	"php_602sql10.dll\0"
#define MODVERS_1	10
#define MODVERS_2	0
#elif WBVERS==1100
// 602SQL 11.0
#define PRODUCT_NAME_STR "602SQL\0"
#define PRODUCT_VERS_1	11
#define PRODUCT_VERS_2	0
#define PRODUCT_VERS_3	0
#define PRODUCT_VERS_4	0
#define PRODUCT_VERS_STR	"11.0\0"
#define MODDESCR	"602SQL PHP Module for PHP " PHPVERS_STR " \0"
#define MODINTERNAL_NAME	"php_602sql11\0"
#define MODFILE_NAME	"php_602sql11.dll\0"
#define MODVERS_1	11
#define MODVERS_2	0
#endif


// MODVERS_STR, MODVERS_3 and MODVERS_4 we keep together because they are changed simultaneously
#if WBVERS==700
#define MODVERS_STR	"7.0.0.37\0"
#define VERSION	"Version: 7.0.0.37"
#elif WBVERS==800
#define MODVERS_STR	"8.0.0.37\0"
#define VERSION	"Version: 8.0.0.37"
#elif WBVERS==810
#define MODVERS_STR	"8.1.0.37\0"
#define VERSION	"Version: 8.1.0.37"
#elif WBVERS==900
#define MODVERS_STR	"9.0.0.37\0"
#define VERSION	"Version: 9.0.0.37"
#elif WBVERS==950
#define MODVERS_STR	"9.5.0.37\0"
#define VERSION	"Version: 9.5.0.37"
#elif WBVERS==1000
#define MODVERS_STR	"10.0.0.37\0"
#define VERSION	"Version: 10.0.0.37"
#elif WBVERS==1100
#define MODVERS_STR	"11.0.0.37\0"
#define VERSION	"Version: 11.0.0.37"
#endif
// last two parts of version number are common for WinBase602 & 602SQL
#define MODVERS_3	0
#define MODVERS_4	37

#define MODVERS_NUM MODVERS_1.MODVERS_2.MODVERS_3.MODVERS_4

