/*
  +----------------------------------------------------------------------+
  | PHP Version 4                                                        |
  +----------------------------------------------------------------------+
  | Copyright (c) 1997-2002 The PHP Group                                |
  +----------------------------------------------------------------------+
  | This source file is subject to version 2.02 of the PHP license,      |
  | that is bundled with this package in the file LICENSE, and is        |
  | available at through the world-wide-web at                           |
  | http://www.php.net/license/2_02.txt.                                 |
  | If you did not receive a copy of the PHP license and are unable to   |
  | obtain it through the world-wide-web, please send a note to          |
  | license@php.net so we can mail you a copy immediately.               |
  +----------------------------------------------------------------------+
  | Author:                                                              |
  +----------------------------------------------------------------------+

  $Id: php_602sql.h,v 1.14 2010/02/25 10:39:24 pecuch Exp $ 
*/
/*  602SQL PHP module
 *  Copyright (c) 2001-2009 Software602, a.s.
 *  see http://www.software602.cz */

#ifndef PHP_602SQL_H
#define PHP_602SQL_H

#ifdef HAVE_602SQL

extern zend_module_entry wb_module_entry;
#define phpext_602sql_ptr &wb_module_entry

#ifdef PHP_WIN32
#define PHP_602SQL_API __declspec(dllexport)
#else
#define PHP_602SQL_API
#endif

#ifdef ZTS
#include "TSRM.h"
#endif

PHP_MINIT_FUNCTION(wb);
PHP_MSHUTDOWN_FUNCTION(wb);
PHP_RINIT_FUNCTION(wb);
PHP_RSHUTDOWN_FUNCTION(wb);
PHP_MINFO_FUNCTION(wb);

PHP_FUNCTION(wb_connect);
PHP_FUNCTION(wb_pconnect);
PHP_FUNCTION(wb_exec);
PHP_FUNCTION(wb_fetch_into);
PHP_FUNCTION(wb_field_name);
PHP_FUNCTION(wb_field_num);
PHP_FUNCTION(wb_num_fields);
PHP_FUNCTION(wb_num_rows);
PHP_FUNCTION(wb_fetch_row);
PHP_FUNCTION(wb_result_all);
PHP_FUNCTION(wb_result);
PHP_FUNCTION(wb_binmode);
PHP_FUNCTION(wb_longreadlen);
PHP_FUNCTION(wb_close);
PHP_FUNCTION(wb_err_str);
PHP_FUNCTION(wb_import_file);
PHP_FUNCTION(wb_data_seek);
PHP_FUNCTION(wb_field_type);
PHP_FUNCTION(wb_field_type_num);
#if WBVERS>=800
PHP_FUNCTION(wb_client_encoding);
PHP_FUNCTION(wb_set_client_encoding);
#endif
#if WBVERS<900
PHP_FUNCTION(wb_select_language);
PHP_FUNCTION(wb_get_selected_language_id);
PHP_FUNCTION(wb_get_selected_language_name);
PHP_FUNCTION(wb_metastring);
PHP_FUNCTION(wb_get_languages);
#endif
PHP_FUNCTION(wb_set_lob_mode);
PHP_FUNCTION(wb_lob_write);
PHP_FUNCTION(wb_get_lob_mode);
PHP_FUNCTION(wb_lob_length);
PHP_FUNCTION(wb_lob_read);
PHP_FUNCTION(wb_lob_truncate);
#if defined USE_PSQL
PHP_FUNCTION(wb_psql_prepare);
PHP_FUNCTION(wb_psql_execute);
PHP_FUNCTION(wb_psql_param_count);
PHP_FUNCTION(wb_psql_param_info);
PHP_FUNCTION(wb_psql_drop_params);
PHP_FUNCTION(wb_psql_send_param);
PHP_FUNCTION(wb_psql_out_param_count);
PHP_FUNCTION(wb_psql_get_out_param);
PHP_FUNCTION(wb_psql_out_param_length);
#endif
#if defined ENABLE_XML_IMPORT_EXPORT
PHP_FUNCTION(wb_export_to_xml);
PHP_FUNCTION(wb_export_to_xml_buffer);
PHP_FUNCTION(wb_import_from_xml);
PHP_FUNCTION(wb_import_from_xml_buffer);
#endif
#if WBVERS>=950
PHP_FUNCTION(wb_data_transport);
#endif
PHP_FUNCTION(wb_err_num);
PHP_FUNCTION(wb_select_db);
#ifdef ENABLE_XML_RESPONSE
PHP_FUNCTION(wb_get_xml_response);
#endif
#ifdef USE_WB_SCRIPT_ENCODING
PHP_FUNCTION(wb_script_encoding);
PHP_FUNCTION(wb_set_script_encoding);
#endif
#ifdef USE_XSD_PARSER
PHP_FUNCTION(wb_xsdp_open);
PHP_FUNCTION(wb_xsdp_set_prop);
PHP_FUNCTION(wb_xsdp_get_prop);
PHP_FUNCTION(wb_xsdp_parse);
PHP_FUNCTION(wb_xsdp_create_objects);
PHP_FUNCTION(wb_xsdp_set_column_type);
PHP_FUNCTION(wb_xsdp_get_columns);
PHP_FUNCTION(wb_xsdp_exclude_table);
#endif
#if WBVERS>=1000
PHP_FUNCTION(wb_get_xml_form);
PHP_FUNCTION(wb_match_form_and_dad);
#endif
#if WBVERS>=1000
PHP_FUNCTION(wb_set_client_error_callback);
PHP_FUNCTION(wb_odbc_connect);
#endif
PHP_FUNCTION(wb_escape_string);
#if WBVERS>=1000
PHP_FUNCTION(wb_zfo_to_fo);
PHP_FUNCTION(wb_fo_to_zfo);
#endif
#if defined LOG_PHP_WB602 && defined USE_WB_DEBUG
PHP_FUNCTION(wb_debug);
#endif

typedef enum { PASSTHRU, RETURN, CONVERT} binmode_t;

/* client encoding */
typedef enum wb_encoding {
  WB_ENC_UNKNOWN=0,
  WB_ENC_ASCII=1,
  WB_ENC_WIN1250,
  WB_ENC_WIN1252,
  WB_ENC_ISO_8859_2,
  WB_ENC_UTF8
} wb_encoding;
#define WB_ENC_FIRST WB_ENC_ASCII
#define WB_ENC_LAST WB_ENC_UTF8
#define IS_VALID_ENCODING(enc) (((enc)>=WB_ENC_FIRST)&&((enc)<=WB_ENC_LAST))
#define IS_IMPLEMENTED_ENCODING(enc) IS_VALID_ENCODING(enc)
#define IS_8BIT_ENCODING(enc) (IS_VALID_ENCODING(enc) && (enc)!=WB_ENC_UTF8)
#define IS_UNICODE_ENCODING(enc) (IS_VALID_ENCODING(enc) && (enc)==WB_ENC_UTF8)

extern const char wb_encoding_name[WB_ENC_LAST+1][16];

ZEND_BEGIN_MODULE_GLOBALS(wb)
  int datestring;
  binmode_t binmode;
  int longreadlen;
  int num_conn, num_persistent;
  int max_conn, max_persistent;
  int allow_persistent;
#ifdef USE_WB_SCRIPT_ENCODING
  wb_encoding script_encoding;
#endif
#ifdef LOG_SERVER_MEMORY
  int log_server_memory; // 1=enabled, 0=disabled
  char *log_server_memory_file;
#endif
ZEND_END_MODULE_GLOBALS(wb)

#ifdef ZTS
#define WBG(v) TSRMG(wb_globals_id,zend_wb_globals *,v)
#else
#define WBG(v) (wb_globals.v)
#endif

#else

#define phpext_602sql_ptr NULL

#endif /* HAVE_602SQL */
  
#endif	/* PHP_602SQL_H */


/*
 * Local variables:
 * tab-width: 4
 * c-basic-offset: 4
 * indent-tabs-mode: t
 * End:
 */
